Bug 1852631 - Review Request: python-flask-compress - Compress responses in your Flask app with gzip or brotli
Summary: Review Request: python-flask-compress - Compress responses in your Flask app ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-30 23:34 UTC by Rafael Fontenelle
Modified: 2020-07-08 01:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-08 01:04:46 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Rafael Fontenelle 2020-06-30 23:34:14 UTC
Spec URL: https://rffontenelle.fedorapeople.org/python-flask-compress.spec
SRPM URL: https://rffontenelle.fedorapeople.org/python-flask-compress-1.5.0-1.fc33.src.rpm
Description: Flask-Compress allows you to easily compress your Flask application's responses with gzip. It is required for adding pgadmin4 to Fedora
Fedora Account System Username: rffontenelle

Comment 1 Robert-André Mauchin 🐧 2020-07-01 15:02:13 UTC
 - Changelog entry doesn't match your name:

* Tue May 12 2020 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 1.5.0-1
- Initial package.


 -

Source0:        https://files.pythonhosted.org/packages/source/f/%{pypi_name}/Flask-Compress-%{version}.tar.gz

→

Source0:        %{pypi_source Flask-Compress}




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Expat License", "Unknown or generated". 16 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-flask-compress/review-python-flask-
     compress/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-flask-compress-1.5.0-1.fc33.noarch.rpm
          python-flask-compress-1.5.0-1.fc33.src.rpm
python3-flask-compress.noarch: W: spelling-error Summary(en_US) gzip -> zip, grip, g zip
python3-flask-compress.noarch: W: spelling-error Summary(en_US) brotli -> brothel
python3-flask-compress.noarch: W: spelling-error %description -l en_US gzip -> zip, grip, g zip
python-flask-compress.src: W: spelling-error Summary(en_US) gzip -> zip, grip, g zip
python-flask-compress.src: W: spelling-error Summary(en_US) brotli -> brothel
python-flask-compress.src: W: spelling-error %description -l en_US gzip -> zip, grip, g zip
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

Comment 2 Rafael Fontenelle 2020-07-01 16:55:59 UTC
I would like to keep changelog as is. Can I get a sponsorship and review + flag?

Comment 3 Rafael Fontenelle 2020-07-02 01:45:25 UTC
Spec URL: https://rffontenelle.fedorapeople.org/python-flask-compress.spec
SRPM URL: https://rffontenelle.fedorapeople.org/python-flask-compress-1.5.0-2.fc33.src.rpm

Fixed and Uploaded spec and src.rpm with Source0 with %{pypi_source Flask-Compress} -- missed this before.

Comment 4 Robert-André Mauchin 🐧 2020-07-02 13:14:29 UTC
The package is approved. You still need to find a sponsor: see https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

Comment 5 Robert-André Mauchin 🐧 2020-07-07 11:02:11 UTC
Sponsored. I sent you a mail with instructions on what to do next.

Comment 6 Gwyn Ciesla 2020-07-07 13:30:50 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-flask-compress

Comment 7 Fedora Update System 2020-07-07 17:27:02 UTC
FEDORA-2020-a03fe1bc4a has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a03fe1bc4a

Comment 8 Fedora Update System 2020-07-07 17:27:13 UTC
FEDORA-2020-e82bf47c8a has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e82bf47c8a

Comment 9 Fedora Update System 2020-07-08 01:04:46 UTC
FEDORA-2020-e82bf47c8a has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-07-08 01:06:10 UTC
FEDORA-2020-a03fe1bc4a has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.